xine-lib: Data Fields - Variables

xine-lib 1.2.13-20230125hg15249

Here is a list of all variables with links to the structures/unions they belong to:

### - o -

- o : pulldown_metrics_s
- o_bih : w32v_decoder_s
- o_bottom : spudec_state_t
- o_left : spudec_state_t
- o_right : spudec_state_t
- o_top : spudec_state_t
- object : refcounter_t, spudec_decoder_s, video_overlay_event_s, xine_refs_t
- object_id : rmff_cont_t, rmff_data_t, rmff_fileheader_t, rmff_mdpr_t, rmff_prop_t
- object_id_ref : composition_object_s
- object_number : presentation_segment_s
- object_pos : dvbsub_func_t
- object_size : xine_pool_s
- object_type : bebf_latm_t, video_overlay_object_s
- object_type2 : bebf_latm_t
- object_type_id : properties_t
- object_version : mdpr_t, rmff_cont_t, rmff_data_t, rmff_fileheader_t, rmff_mdpr_t, rmff_pheader_t, rmff_prop_t
- objects : spuhdmv_decoder_s, video_overlay_s
- off_buf : cc_decoder_s
- offbits : bits_reader_t
- offs : hls_byterange_t
- offs0 : xshm_frame_t
- offs1 : xshm_frame_t
- offset : dxr3_scr_s, flac_seekpoint_t, flv_index_entry_t, metronom_impl_t, mpeg2_decoder_s, picture_s, qt_frame, real_index_entry_t, vdr_vpts_offset_t, xine_post_api_parameter_t
- offset_for_non_ref_pic : seq_parameter_set_rbsp, vdec_hw_h264_sps_t
- offset_for_ref_frame : seq_parameter_set_rbsp, vdec_hw_h264_sps_t
- offset_for_top_to_bottom_field : seq_parameter_set_rbsp, vdec_hw_h264_sps_t
- offset_x : alphablend_t, theora_decoder_s
- offset_y : alphablend_t, theora_decoder_s
- offsetInStruct : _GSL_StructField
- oflow : bits_reader_t
- og : demux_ogg_s
- ogm : sputext_decoder_s
- oheight : dxr3_frame_s
- old_frame : fb_driver_s
- old_frame_height : vdr_video_post_plugin_s
- old_frame_left : vdr_video_post_plugin_s
- old_frame_ratio : vdr_video_post_plugin_s
- old_frame_top : vdr_video_post_plugin_s
- old_frame_width : vdr_video_post_plugin_s
- old_interlace : v4l_input_plugin_t
- old_mode : stdin_input_plugin_t
- old_name : xine_config_entry_translation_t
- old_num_ovls : vdpau_driver_t
- old_overlays : mmal_driver_t
- old_seqnum : demux_real_t
- old_subpic : xxmc_driver_s
- old_zoomx : v4l_input_plugin_t
- old_zoomy : v4l_input_plugin_t
- oldest : lrb_t
- on : vdr_metronom_t
- on_buf : cc_decoder_s
- on_close : encoder_data_s
- on_display_frame : encoder_data_s
- on_frame_copy : encoder_data_s
- on_unneeded : encoder_data_s
- on_update_format : encoder_data_s
- oneShotHiSamples : Voice8Header
- op : _OprNodeType, theora_decoder_s, vorbis_decoder_s
- op_max_size : theora_decoder_s
- open : ao_driver_s, aos_t, input_plugin_s, vo_driver_t, xine_audio_port_s, xine_video_port_s
- open_mode : alsa_driver_s
- open_plugin : audio_decoder_class_s, audio_driver_class_s, demux_class_s, post_class_s, spu_decoder_class_s, video_decoder_class_s, video_driver_class_s
- OpenComponent : qtv_decoder_s
- opened : dvd_input_plugin_s
- opengl_interop : xine_hwdec_t
- operation : AnimHeader
- opr : _NODE_TYPE
- ordered : matroska_edition_t, scratch_buffer_s
- origin : xine_mrl_s
- origin_lsn : vcdplayer_s
- origin_path : file_input_class_t
- original_manager : post_video_port_s
- original_port : post_audio_port_s, post_video_port_s
- os_mutex : vdpau_driver_t
- osd : bluray_input_plugin_t, dvb_input_plugin_t, region_t, spucmml_decoder_s, sputext_decoder_s, vdr_input_plugin_s, xine_osd_s
- osd_buf : bluray_input_plugin_t
- osd_buffer : vdr_input_plugin_s
- osd_buffer_size : vdr_input_plugin_s
- osd_mutex : osd_renderer_s
- osd_renderer : cc_renderer_s, xine_stream_s
- osd_supports_argb_layer : vdr_input_plugin_s
- osd_supports_custom_extent : vdr_input_plugin_s
- osd_unscaled_blending : vdr_input_plugin_s
- osds : osd_renderer_s
- oss : stream_info_s
- out : lavc_data_s, vo_scale_map_t
- out_buf : qta_decoder_s
- out_channels : aos_t, faad_decoder_t
- out_fifo : aos_t
- out_flags : faad_decoder_t
- out_frames_per_kpts : aos_t
- out_mode : faad_decoder_t
- out_pts : xine_nbc_fifo_info_t
- out_pts_per_kframe : aos_t
- out_used : faad_decoder_t
- outbuf : w32a_decoder_s
- OutBufferGWorld : qtv_decoder_s
- OutBufferRect : qtv_decoder_s
- outfmt : w32v_decoder_s
- OutFrameSize : qta_decoder_s
- output : aos_t, mpeg2dec_s, post_plugin_s
- output_format : ff_video_decoder_s, mmal_decoder_s
- output_frame_excess : aos_t
- output_height : vo_scale_s
- output_horizontal_position : vo_scale_s
- output_ids : post_plugin_s
- output_list : dpb
- output_mix_object : opensles_driver_s
- output_mode : a52dec_decoder_s, mad_decoder_s, speex_decoder_s, vorbis_decoder_s
- output_open : a52dec_decoder_s, dts_decoder_t, dvaudio_decoder_s, faad_decoder_t, ff_audio_decoder_s, flac_decoder_s, fooaudio_decoder_s, gsm610_decoder_s, lpcm_decoder_s, mad_decoder_s, mpc_decoder_s, nsf_decoder_s, qta_decoder_s, realdec_decoder_s, speex_decoder_s, spudec_decoder_s, vorbis_decoder_s, w32a_decoder_s, wavpack_decoder_t
- output_pool : mmal_decoder_s
- output_sample_k_rate : esd_driver_s, oss_driver_s
- output_sample_rate : alsa_driver_s, esd_driver_s, jack_driver_s, oss_driver_s, sun_driver_s
- output_sampling_freq : matroska_audio_track_t
- output_sampling_rate : a52dec_decoder_s, mad_decoder_s, speex_decoder_s, vorbis_decoder_s
- output_surface : vdpau_driver_t
- output_surface_buffer : vdpau_driver_t
- output_surface_buffer_size : vdpau_driver_t
- output_surfaces : vdpau_driver_t
- output_vertical_position : vo_scale_s
- output_width : vo_scale_s
- output_xoffset : vo_scale_s
- output_yoffset : vo_scale_s
- outputBuf : _PLUGIN_INFO
- OutputFormatInfo : qta_decoder_s
- outsize : w32a_decoder_s
- overlay : dxr3_driver_s, fb_driver_s, sdl_frame_s, spu_encoder_s, spudec_decoder_s, stk_frame_s, video_overlay_object_s
- overlay_begin : vo_driver_s
- overlay_bitmap : vaapi_driver_s
- overlay_bitmap_dst : vaapi_driver_s
- overlay_bitmap_height : vaapi_driver_s
- overlay_bitmap_size : vaapi_driver_s
- overlay_bitmap_src : vaapi_driver_s
- overlay_bitmap_width : vaapi_driver_s
- overlay_blend : vo_driver_s
- overlay_dirty_rect : vaapi_driver_s
- overlay_enabled : dxr3_driver_s, vos_t
- overlay_end : vo_driver_s
- overlay_handle : spudec_stream_state_s
- overlay_handles : spuhdmv_decoder_s
- overlay_offset_x : vo_frame_s
- overlay_offset_y : vo_frame_s
- overlay_output_height : vaapi_driver_s
- overlay_output_width : vaapi_driver_s
- overlay_source : vos_t
- overlay_tex : opengl2_driver_s
- overlay_update : mmal_driver_t
- overlay_y_offset : expand_parameters_s
- overlays : mmal_driver_t, raw_driver_t, vaapi_driver_s, vdpau_driver_t
- overscan_appropriate_flag : seq_parameter_set_rbsp
- overscan_info_present_flag : seq_parameter_set_rbsp
- ovl : opengl2_driver_s, osd_renderer_private_t, vdpau_overlay_t
- ovl_caps : spudec_decoder_s
- ovl_changed : directfb_driver_s, opengl_driver_t, raw_driver_t, vaapi_driver_s, vdpau_driver_t, xshm_driver_t, xv_driver_s, xxmc_driver_s
- ovl_dest_rect : vdpau_driver_t
- ovl_h : opengl2_overlay_t, raw_overlay_t
- ovl_layer_surface : vdpau_driver_t
- ovl_main_render_surface : vdpau_driver_t
- ovl_pixmap : vdpau_driver_t
- ovl_pixmap_size : vdpau_driver_t
- ovl_rgba : raw_overlay_t
- ovl_src_rect : vdpau_driver_t
- ovl_video_dest_rect : vdpau_driver_t
- ovl_w : opengl2_overlay_t, raw_overlay_t
- ovl_x : opengl2_overlay_t, raw_overlay_t
- ovl_y : opengl2_overlay_t, raw_overlay_t
- own_block : _CMediaSample
- oy : demux_ogg_s